Skype for Business/Lync 2013/Lync 2013 Web App software requirements and supported platforms:

Software requirements for Skype for Business/Lync 2013 and Online Meeting Add-in for Skype for Business/Lync 2013

To use Skype for Business/Lync 2013 and Online Meeting Add-in for Skype for Business/Lync 2013 your platform should meet the following software requirements:

System component Minimum requirement
Windows Operating system Windows 10
Windows 8.1
Windows 8
Windows 7 operating system
Windows Server 2008 R2 with latest service pack
Installation and updates Administrator rights and permissions
Browser Internet Explorer 11 Internet browser
Internet Explorer 10 Internet browser
Internet Explorer 9 Internet browser
Internet Explorer 8 Internet browser
Internet Explorer 7 Internet browser
Mozilla Firefox web browser
Microsoft Office Integration For the full set of integration features:
  • Outlook 2013 messaging and collaboration client
  • Outlook 2010 messaging and collaboration client
Microsoft Exchange Integration For the full set of integration features:
  • Microsoft Exchange Server 2013
  • Microsoft Exchange Server 2010

Note: Skype for Business/Lync 2013 is currently available only for Windows. However, Lync Server 2013 supports the following clients on computers that are running Mac OS 10.5.8 or latest service pack or release (Intel-based) operating systems. For details about supported features, see Client Comparison Tables. 

  • Microsoft Lync for Mac 2011
  • Microsoft Communicator for Mac 2011

Skype for Business/Lync 2013 Web App Supported Platforms

To use Skype for Business/Lync Web App, you must have one of the following supported operating system and browser combinations. 

Operating system

Edge

32- and 64-bit Internet Explorer 11 or later

32- and 64-bit Internet Explorer 10 or later

32- and 64-bit Internet Explorer 9 or later

32- and 64-bit Version of Safari 6.2.8 - 11.X

32- and 64-bit Version of Chrome 18.X or later

Windows 10

Yes

Yes

N/A

N/A

N/A

Yes

Windows 8.1

N/A

Yes

N/A

N/A

N/A

Yes

Windows 8 (Intel based)

N/A

N/A

Yes

N/A

N/A

Yes

Windows 7 with SP1

N/A

Yes

No

No

N/A

Yes

Windows Server 2008 R2 with SP1

N/A

Yes

Yes

Yes

N/A

Yes

Mac OS X 10.8 and later (Intel-based)

N/A

N/A

N/A

N/A

Yes

Yes

On Windows 8, and Windows 8.1, the sharing plug-in can be installed only if you're running Internet Explorer 10 or Internet Explorer 11 for the desktop. These features are not available with non-desktop versions of Internet Explorer 10 and 11. Note that Firefox and Safari version 12.0 and later is no longer supported.

Accessing the Web App from Chrome on Windows will launch a small program that loads the Web App in an embedded Internet Explorer frame.

For more information read the following Microsoft articles:

Lync Client Software Support
Lync Client Hardware Support
System Requirements For Office 2013
Lync Web App Supported Platforms